//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/text_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializesegmentNode")
inline fun segmentNode(block: gg.dsepractice.chinese.v1alpha1.SegmentNodeKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.SegmentNode =
  gg.dsepractice.chinese.v1alpha1.SegmentNodeKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.SegmentNode.newBuilder()).apply { block() }._build()
object SegmentNodeKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.SegmentNode.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.SegmentNode.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.SegmentNode = _builder.build()

    /**
     * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
     */
    var type: gg.dsepractice.chinese.v1alpha1.SegmentNodeType
      @JvmName("getType")
      get() = _builder.getType()
      @JvmName("setType")
      set(value) {
        _builder.setType(value)
      }
    /**
     * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
     */
    fun clearType() {
      _builder.clearType()
    }

    /**
     * <code>string content = 2 [json_name = "content"];</code>
     */
    var content: kotlin.String
      @JvmName("getContent")
      get() = _builder.getContent()
      @JvmName("setContent")
      set(value) {
        _builder.setContent(value)
      }
    /**
     * <code>string content = 2 [json_name = "content"];</code>
     */
    fun clearContent() {
      _builder.clearContent()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.SegmentNode.copy(block: gg.dsepractice.chinese.v1alpha1.SegmentNodeKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.SegmentNode =
  gg.dsepractice.chinese.v1alpha1.SegmentNodeKt.Dsl._create(this.toBuilder()).apply { block() }._build()

